aboutsummaryrefslogtreecommitdiffhomepage
path: root/test-suite/coq-makefile
diff options
context:
space:
mode:
authorGravatar Maxime Dénès <mail@maximedenes.fr>2017-06-01 23:33:04 +0200
committerGravatar Maxime Dénès <mail@maximedenes.fr>2017-06-01 23:33:56 +0200
commit3748c26914b667f2379374801ebc3f9c8317b4c0 (patch)
treecd1b837a09fc4d81882af13648acd82da44b3662 /test-suite/coq-makefile
parent305c8dc1a8518388077c5f2d063f793a2c2e39da (diff)
Test-suite: do not test native compiler if disabled by configure.
Diffstat (limited to 'test-suite/coq-makefile')
-rwxr-xr-xtest-suite/coq-makefile/native1/run.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/test-suite/coq-makefile/native1/run.sh b/test-suite/coq-makefile/native1/run.sh
index bc9f846dd..f07966263 100755
--- a/test-suite/coq-makefile/native1/run.sh
+++ b/test-suite/coq-makefile/native1/run.sh
@@ -3,7 +3,8 @@
#set -x
set -e
-if which ocamlopt; then
+NATIVECOMP=`grep "let no_native_compiler = false" ../../../config/coq_config.ml`||true
+if [[ `which ocamlopt` && $NATIVECOMP ]]; then
. ../template/init.sh